Imports System

Namespace Wrox

	' new exception class

	Public Class InvalidContentException
		Inherits ApplicationException

   		Overloads Public Sub New()
   		
   			MyBase.New()

		End Sub
		
		Overloads Public Sub New(message As String)

			MyBase.New(message)

		End Sub

   		Overloads Public Sub New(message As String, inner As Exception)

			MyBase.New(message, inner)

		End Sub
		
	End Class

End Namespace
